Skip to main content
POST
Organization uploads create

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

organizationId
string
required
Minimum string length: 1

Body

application/json
filename
string
required
Required string length: 1 - 255
contentType
enum<string>
required
Available options:
application/pdf,
application/vnd.openxmlformats-officedocument.wordprocessingml.document,
application/vnd.openxmlformats-officedocument.presentationml.presentation,
text/plain,
text/markdown,
message/rfc822,
application/zip,
application/x-zip-compressed
sizeBytes
integer
required
Required range: x <= 262144000

Response

201 - application/json

Success

uploadUrl
string<uri>
required
pathname
string
required
method
string
required
Allowed value: "PUT"
headers
object
required
expiresAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$